import { Entity, ManyToOne, PrimaryKey, Property } from '@mikro-orm/core';
import { User } from './user';

@Entity()
export class PasswordResetToken {
  @PrimaryKey()
  id!: number;

  @ManyToOne(() => User)
  user!: User;

  @Property({ unique: true })
  token!: string;

  @Property()
  createdAt = new Date();
}