import prisma from '#utilities/prisma' // Import the global Prisma instance
import { World } from '@prisma/client'
import { gameLogger } from '#utilities/logger'

class WorldRepository {
  async getFirst(): Promise<World | null> {
    try {
      return await prisma.world.findFirst({
        orderBy: { date: 'desc' }
      })
    } catch (error: any) {
      // Handle error
      gameLogger.error(`Failed to get first world: ${error instanceof Error ? error.message : String(error)}`)
      return null
    }
  }
}

export default new WorldRepository()
